org.apache.solr.client.solrj.io.stream.expr

## Interface Expressible

All Known Subinterfaces:
  ReduceOperation, StreamComparator, StreamEqualitor, StreamEvaluator, StreamOperation

All Known Implementing Classes:
  AbsoluteValueEvaluator, AddEvaluator, AndEvaluator, BiJoinStream, BooleanEvaluator, CloudSolrStream, CommitStream, ComplementStream, ComplexEvaluator, ConcatOperation, ConditionalEvaluator, CountMetric, DaemonStream, DistinctOperation, DivideEvaluator, EqualsEvaluator, ExclusiveOrEvaluator, ExecutorStream, FacetStream, FeaturesSelectionStream, FetchStream, FieldComparator, FieldEqualitor, FieldEvaluator, GatherNodesStream, GreaterThanEqualToEvaluator, GreaterThanEvaluator, GroupOperation, HashJoinStream, HavingStream, IfThenElseEvaluator, InnerJoinStream, IntersectStream, JDBCStream, JoinStream, LeftOuterJoinStream, LessThanEqualToEvaluator, LessThanEvaluator, MaxMetric, MeanMetric, MergeStream, Metric, MinMetric, ModelStream, MultipleFieldComparator, MultipleFieldEqualitor, MultiplyEvaluator, NaturalLogEvaluator, NotEvaluator, NullStream, NumberEvaluator, OrEvaluator, OuterHashJoinStream, ParallelStream, PriorityStream, PushBackStream, RandomStream, RankStream, RawValueEvaluator, ReducerStream, ReplaceOperation, ReplaceWithFieldOperation, ReplaceWithValueOperation, RollupStream, ScoreNodesStream, SelectStream, ShortestPathStream, SignificantTermsStream, SimpleEvaluator, SortStream, StatsStream, SubtractEvaluator, SumMetric, TextLogitStream, TopicStream, UniqueStream, UpdateStream

    public interface Expressible

Defines a stream that can be expressed in an expression

### Method Summary

All Methods Instance Methods Abstract Methods
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Method Detail

#### toExpression

    StreamExpressionParameter toExpression(StreamFactory factory)
                                    throws IOException

Throws:
  `IOException`

#### toExplanation

    Explanation toExplanation(StreamFactory factory)
                       throws IOException

Returns an explanation about the stream object

Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error